%global srcname     lumina

Summary:            A lightweight, portable desktop environment
Name:               %{srcname}-desktop
Version:            1.6.2
Release:    1%{?dist}
License:            BSD
URL:                http://%{name}.org
Source0:            https://github.com/lumina-desktop/%{srcname}/archive/v%{version}.tar.gz#/%{srcname}-%{version}.tar.gz
BuildRequires:      qt5-qtbase-devel
BuildRequires:      qt5-qttools-devel
BuildRequires:      qt5-qtmultimedia-devel
BuildRequires:      qt5-qtdeclarative-devel
BuildRequires:      qt5-qtsvg-devel
BuildRequires:      qt5-qtx11extras-devel
BuildRequires:      qt5-linguist

BuildRequires:      xcb-util-image-devel
BuildRequires:      xcb-util-wm-devel
BuildRequires:      libxcb-devel
BuildRequires:      xcb-util-devel
BuildRequires:      libXcomposite-devel
BuildRequires:      libXdamage-devel
BuildRequires:      libXrender-devel
BuildRequires:      libXcursor-devel
BuildRequires:      qt5-qtbase-private-devel
BuildRequires:      qt5-qtbase-static
BuildRequires:      pam-devel
BuildRequires:      desktop-file-utils
BuildRequires:      make
Requires:           firstboot(windowmanager)
Requires:           %{name}-filesystem = %{version}-%{release}
Requires:           %{name}-data = %{version}-%{release}
Requires:           %{srcname}-open = %{version}-%{release}
Requires:           %{srcname}-info = %{version}-%{release}
Requires:           %{srcname}-themeengine = %{version}-%{release}
Suggests:           %{srcname}-config = %{version}-%{release}
Suggests:           %{srcname}-search = %{version}-%{release}
Suggests:           %{srcname}-xconfig = %{version}-%{release}
Suggests:           %{srcname}-archiver = %{version}-%{release}
Suggests:           %{srcname}-fileinfo = %{version}-%{release}
Suggests:           %{srcname}-fm = %{version}-%{release}
Suggests:           %{srcname}-mediaplayer = %{version}-%{release}
Suggests:           %{srcname}-photo = %{version}-%{release}
Suggests:           %{srcname}-screenshot = %{version}-%{release}
Suggests:           %{srcname}-textedit = %{version}-%{release}
Suggests:           %{srcname}-icons = %{version}-%{release}
Suggests:           la-capitaine-icon-theme

%description
The Lumina Desktop Environment is a lightweight system interface
that is designed for use on any Unix-like operating system.

%package            filesystem
Summary:            Common folders for Lumina Desktop
BuildArch:          noarch

%description        filesystem
This package provides the common folders for the Lumina Desktop Environment.

%package            data
Summary:            Data for Lumina Desktop
BuildArch:          noarch
Requires:           %{name}-filesystem = %{version}-%{release}

%description        data
This package provides the data files for the Lumina Desktop
Environment: Colors, desktop background, theme templates.

%package -n         %{srcname}-open
Summary:            xdg-open style utility for Lumina Desktop
Requires:           %{name}-filesystem = %{version}-%{release}

%description -n     %{srcname}-open
This package provides %{srcname}-open, which handles opening of
files and URLs according to the system-wide mimetype association.
It also provides an optional selector if more than one application
is assigned with the given url or file type.

%package -n         %{srcname}-info
Summary:            Basic information utility for Lumina Desktop
Requires:           %{name}-filesystem = %{version}-%{release}

%description -n     %{srcname}-info
This package provides %{srcname}-info, which is a simple
utility that displays various information about the Lumina
installation, like paths, contributors, license or version.

%package -n         %{srcname}-themeengine
License:            MIT
Summary:            Theme engine for Lumina Desktop
Requires:           %{name}-filesystem = %{version}-%{release}

%description -n     %{srcname}-themeengine
This package provides %{srcname}-theme-engine.

%package -n         %{srcname}-config
Summary:            Configuration utility for Lumina Desktop
Requires:           %{name}-filesystem = %{version}-%{release}

%description -n     %{srcname}-config
This package provides %{srcname}-config, which allows changing
various aspects of %{srcname} and fluxbox, like the wallpaper being
used, theme, icons, panel (and plugins), startup and default
applications, desktop menu and more.

%package -n         %{srcname}-xconfig
Summary:            X server display configuration tool for Lumina Desktop
Requires:           %{name}-filesystem = %{version}-%{release}

%description -n     %{srcname}-xconfig
This package provides %{srcname}-xconfig, which is a simple
multi-head aware display configuration tool for configuring
the X server.

%package -n         %{srcname}-search
Summary:            Search utility for Lumina Desktop
Requires:           %{name}-filesystem = %{version}-%{release}

%description -n     %{srcname}-search
This package provides %{srcname}-search, which is a simple
search utility that allows to search for applications or
files and directories in the home directory and launch
or open them.

%package -n         %{srcname}-archiver
Summary:            Archiver for Lumina Desktop
Requires:           %{name}-filesystem = %{version}-%{release}

%description -n     %{srcname}-archiver
Front-end to tar, used for managing/creating archives.

%package -n         %{srcname}-fileinfo
Summary:            Desktop file editor for Lumina Desktop
Requires:           %{name}-filesystem = %{version}-%{release}

%description -n     %{srcname}-fileinfo
File properties viewer, and simple XDG application registration creator.

%package -n         %{srcname}-fm
Summary:            File manager for Lumina Desktop
Requires:           %{name}-filesystem = %{version}-%{release}

%description -n     %{srcname}-fm
This package provides %{srcname}-fm, which is a simple file manager
with support for multiple view modes, tabbed browsing,
including an integrated slideshow-based picture viewer.

%package -n         %{srcname}-mediaplayer
Summary:            Mediaplayer for Lumina Desktop
Requires:           %{name}-filesystem = %{version}-%{release}

%description -n     %{srcname}-mediaplayer
Simple media player with hooks for streaming from online radio services.

%package -n         %{srcname}-photo
Summary:            Image viewer for Lumina Desktop
Requires:           %{name}-filesystem = %{version}-%{release}

%description -n     %{srcname}-photo
Simple image viewer.

%package -n         %{srcname}-screenshot
Summary:            Screenshot utility for Lumina Desktop
Requires:           %{name}-filesystem = %{version}-%{release}

%description -n     %{srcname}-screenshot
This package provides %{srcname}-screenshot, which is a simple
screenshot utility that allows to snapshot the whole desktop
or a single window after a configurable delay.

Optionally the window border can be hidden when taking a
screenshot of a single window.

%package -n         %{srcname}-textedit
Summary:            Text file editor for Lumina Desktop
Requires:           %{name}-filesystem = %{version}-%{release}

%description -n     %{srcname}-textedit
Plaintext editor with syntax highlighting, tab support, and find/replace functionality.

%package -n         material-design-dark
License:            Apache 2.0
Summary:            Material Design icon theme (dark)
BuildArch:          noarch

%description -n     material-design-dark
Optional icons theme recommended for Lumina Desktop (dark version).

%package -n         material-design-light
License:            Apache 2.0
Summary:            Material Design icon theme (light)
BuildArch:          noarch

%description -n     material-design-light
Optional icons theme recommended for Lumina Desktop (light version).

%package -n         %{srcname}-icons
License:            CC-BY
Summary:            Icon set for Lumina Desktop
BuildArch:          noarch

%description -n     %{srcname}-icons
Optional icons theme recommended for Lumina Desktop (new).

%prep
%autosetup -n%{srcname}-%{version} -p 0
desktop-file-edit --remove-key=Categories --remove-only-show-in=Lumina --add-only-show-in=X-Lumina \
 src-qt5/core/%{srcname}-info/%{srcname}-support.desktop
for i in `grep -lir 'OnlyShowIn=Lumina' src-qt5`
do
 desktop-file-edit --remove-only-show-in=Lumina --add-only-show-in=X-Lumina $i
done


%build
%qmake_qt5 *.pro \
 CONFIG+=configure \
 LIBPREFIX="%{_libdir}" \
 L_BINDIR="%{_bindir}" \
 L_LIBDIR=%{_libdir} \
 L_SHAREDIR=%{_datadir} \
 L_ETCDIR=%{_sysconfdir} \
 L_INCLUDEDIR=%{_includedir} \
 L_MANDIR=%{_mandir} \
 QT5LIBDIR="%{_qt5_prefix}" \
 QMAKE_LFLAGS+="-Wl,--as-needed"
for i in `find . -type d -name i18n`; do lrelease-qt5 -silent -nounfinished $i/*.ts; done
%make_build


%install
%make_install INSTALL_ROOT=%{buildroot}
install -d %{buildroot}%{_datadir}/%{name}/i18n
for i in `find . -type d -name i18n`
do
 install -m0644 -D $i/*.qm -t %{buildroot}%{_datadir}/%{name}/i18n/
done

%find_lang %{name} --with-qt
%find_lang %{srcname}-info --with-qt
%find_lang %{srcname}-open --with-qt
%find_lang %{srcname}-config --with-qt
%find_lang %{srcname}-search --with-qt
%find_lang %{srcname}-xconfig --with-qt
%find_lang l-archiver --with-qt
%find_lang l-fileinfo --with-qt
%find_lang %{srcname}-fm --with-qt
%find_lang l-mediap --with-qt
%find_lang l-photo --with-qt
%find_lang l-screenshot --with-qt
%find_lang l-te --with-qt

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{srcname}-*.desktop


%files -f %{name}.lang
%license LICENSE
%{_bindir}/%{name}
%{_bindir}/start-%{name}
%{_bindir}/%{srcname}-sudo
%{_bindir}/%{srcname}-pingcursor
%config %{_sysconfdir}/%{srcname}Desktop.conf.dist
%{_datadir}/icons/hicolor/scalable/apps/Lumina-DE.svg
%{_datadir}/xsessions/Lumina-DE.desktop
%{_datadir}/applications/%{srcname}-support.desktop
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man8/start-%{name}.8.gz

%files filesystem
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/i18n

%files data
%{_datadir}/%{name}/
%exclude %{_datadir}/%{name}/i18n

%files -n %{srcname}-open -f %{srcname}-open.lang
%{_bindir}/%{srcname}-open
%{_mandir}/man1/%{srcname}-open.1.gz

%files -n %{srcname}-info -f %{srcname}-info.lang
%{_bindir}/%{srcname}-info
%{_datadir}/applications/%{srcname}-info.desktop
%{_mandir}/man1/%{srcname}-info.1.gz

%files -n %{srcname}-themeengine
%license src-qt5/core/lumina-theme-engine/LICENSE
%{_bindir}/lthemeengine*
%{_libdir}/qt5/plugins/platformthemes/*
%{_libdir}/qt5/plugins/styles/*
%{_datadir}/applications/lthemeengine.desktop
%{_datadir}/lthemeengine/

%files -n %{srcname}-config -f %{srcname}-config.lang
%{_bindir}/%{srcname}-config
%{_datadir}/applications/%{srcname}-config.desktop
%{_mandir}/man1/%{srcname}-config.1.gz

%files -n %{srcname}-xconfig -f %{srcname}-xconfig.lang
%{_bindir}/%{srcname}-xconfig
%{_datadir}/applications/%{srcname}-xconfig.desktop
%{_mandir}/man1/%{srcname}-xconfig.1.gz

%files -n %{srcname}-search -f %{srcname}-search.lang
%{_bindir}/%{srcname}-search
%{_datadir}/applications/%{srcname}-search.desktop
%{_mandir}/man1/%{srcname}-search.1.gz

%files -n %{srcname}-archiver -f l-archiver.lang
%{_bindir}/%{srcname}-archiver
%{_datadir}/applications/%{srcname}-archiver.desktop
%{_mandir}/man1/%{srcname}-archiver.1.gz

%files -n %{srcname}-fileinfo -f l-fileinfo.lang
%{_bindir}/%{srcname}-fileinfo
%{_datadir}/applications/%{srcname}-fileinfo.desktop
%{_mandir}/man1/%{srcname}-fileinfo.1.gz

%files -n %{srcname}-fm -f %{srcname}-fm.lang
%{_bindir}/%{srcname}-fm
%{_datadir}/icons/hicolor/scalable/apps/Insight-FileManager.svg
%{_datadir}/applications/%{srcname}-fm.desktop
%{_mandir}/man1/%{srcname}-fm.1.gz

%files -n %{srcname}-mediaplayer -f l-mediap.lang
%{_bindir}/%{srcname}-mediaplayer
%{_datadir}/applications/%{srcname}-mediaplayer.desktop
%{_datadir}/applications/%{srcname}-mediaplayer-pandora.desktop
%{_mandir}/man1/%{srcname}-mediaplayer.1.gz

%files -n %{srcname}-photo -f l-photo.lang
%{_bindir}/%{srcname}-photo
%{_datadir}/applications/%{srcname}-photo.desktop
%{_mandir}/man1/%{srcname}-photo.1.gz

%files -n %{srcname}-screenshot -f l-screenshot.lang
%{_bindir}/%{srcname}-screenshot
%{_datadir}/applications/%{srcname}-screenshot.desktop
%{_mandir}/man1/%{srcname}-screenshot.1.gz

%files -n %{srcname}-textedit -f l-te.lang
%exclude %{_bindir}/lte
%{_bindir}/%{srcname}-textedit
%{_datadir}/applications/%{srcname}-textedit.desktop
%{_mandir}/man1/%{srcname}-textedit.1.gz

%files -n material-design-dark
%license icon-theme/material-design-dark/LICENSE
%{_datadir}/icons/material-design-dark/
%exclude %{_datadir}/icons/material-design-dark/LICENSE

%files -n material-design-light
%license icon-theme/material-design-light/LICENSE
%{_datadir}/icons/material-design-light/
%exclude %{_datadir}/icons/material-design-light/LICENSE

%files -n %{srcname}-icons
%license icon-theme/lumina-icons/LICENSE
%{_datadir}/icons/lumina-icons/
%exclude %{_datadir}/icons/lumina-icons/LICENSE

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.2-1
- initial build
